## javax.help
Class AppendMerge

    java.lang.Object
      javax.help.Merge
          javax.help.AppendMerge

public class AppendMerge
extends Merge

Append merge type

Nested Class Summary

Nested classes inherited from class javax.help.Merge
`Merge.DefaultMergeFactory`

Constructor Summary
`AppendMerge(NavigatorView master, NavigatorView slave)` Constructs AppendMerge

Method Summary
`static void` `mergeNodeChildren(javax.swing.tree.TreeNode node)` Merge Node Children.
`static void` `mergeNodes(javax.swing.tree.TreeNode master, javax.swing.tree.TreeNode slave)` Merge Nodes.
`javax.swing.tree.TreeNode` `processMerge(javax.swing.tree.TreeNode node)` Processes append merge

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppendMerge

    public AppendMerge(NavigatorView master,
                       NavigatorView slave)

  Constructs AppendMerge

Parameters:
  `master` - The master NavigatorView
  `slave` - The slave NavigatorView

Method Detail

### processMerge

    public javax.swing.tree.TreeNode processMerge(javax.swing.tree.TreeNode node)

  Processes append merge

  Specified by:
    `processMerge` in class `Merge`
  Parameters:
    `node` - The master node
  Returns:
    Merged master node

### mergeNodes

    public static void mergeNodes(javax.swing.tree.TreeNode master,
                                  javax.swing.tree.TreeNode slave)

  Merge Nodes. Merge two nodes according to the Append merging rules

### mergeNodeChildren

    public static void mergeNodeChildren(javax.swing.tree.TreeNode node)

  Merge Node Children. Merge the children of a node according to the Append merging.

  Parameters:
    `node` - The parent node from which the children are merged